Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Null_SSL_State_Guard Class Reference

This class sets up null TSS SSL state upon instantiation, and restores the previous TSS SSL state when that instance goes out of scope. More...

`#include <IIOP_SSL_Connection_Handler.h>`

Collaboration diagram for TAO_Null_SSL_State_Guard:

[legend]
List of all members.

## Public Methods
| TAO_Null_SSL_State_Guard (TAO_SSLIOP_Current_ptr current, int &result)
| Constructor that sets up the null TSS SSL state.
| ~TAO_Null_SSL_State_Guard (void)
| Destructor that restores the previous TSS SSL state.
## Private Attributes
TAO_SSLIOP_Current_Impl* | previous_current_impl_
| The SSLIOP::Current implementation that was previously associated with the current thread and invocation. More...
TAO_SSLIOP_Current_ptr | current_
| Reference to the SSLIOP::Current object.
CORBA::Boolean | setup_done_
| Flag that specifies whether or not setup of the SSLIOP::Current object completed for the current thread and invocation.

## Detailed Description

This class sets up null TSS SSL state upon instantiation, and restores the previous TSS SSL state when that instance goes out of scope.

This guard is used to make TSS SSL state configuration and deconfiguration during an upcall exception safe. Exceptions are not supposed to be propagated up to the scope this guard is used in, so this guard may be unnecessary. However, since proper TSS SSL state configuration/deconfiguration is critical to proper security support, this guard is used to ensure that configuration/deconfiguration is exception safe.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Null_SSL_State_Guard::TAO_Null_SSL_State_Guard ( | TAO_SSLIOP_Current_ptr current,
| int & result )

| Constructor that sets up the null TSS SSL state.

ACE_INLINE TAO_Null_SSL_State_Guard::~TAO_Null_SSL_State_Guard ( | void )

| Destructor that restores the previous TSS SSL state.

## Member Data Documentation

TAO_SSLIOP_Current_ptr TAO_Null_SSL_State_Guard::current_`[private]`

| Reference to the SSLIOP::Current object.

TAO_SSLIOP_Current_Impl * TAO_Null_SSL_State_Guard::previous_current_impl_`[private]`

| The SSLIOP::Current implementation that was previously associated with the current thread and invocation. It is stored here until the invocation completes, after which it placed back into TSS.

CORBA::Boolean TAO_Null_SSL_State_Guard::setup_done_`[private]`

| Flag that specifies whether or not setup of the SSLIOP::Current object completed for the current thread and invocation.

The documentation for this class was generated from the following files:

- IIOP_SSL_Connection_Handler.h
- IIOP_SSL_Connection_Handler.inl